package com.ywt.outpatient.service.rpc;

import com.ywt.biz.common.util.Checker;
import com.ywt.outpatient.config.biz.BizParamRpcConfig;
import com.ywt.outpatient.config.biz.BizParamWebConfig;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

@Service
public class BizConfigurer {

    @Autowired
    private BizParamRpcConfig bizParamRpcConfig;

    public int getWxNfywtGenQrCodeFlag() {
        return Checker.getIntegerValue(bizParamRpcConfig.getWxNfywtGenqrCodeFlag());
    }

    public String getYwtHttpsMsiteDomain() {
        return Checker.getStringValue("https://" + bizParamRpcConfig.getYwtMsiteDomain());
    }
}
